Subject: Re: [PATCH net-next v7 2/5] ethtool: netlink: add ETHTOOL_MSG_MSE_GET and wire up PHY MSE access

From: Jakub Kicinski <[email-masked]>
Date: Fri, 24 Oct 2025 16:12:13 -0700

On Fri, 24 Oct 2025 15:18:04 +0200 Oleksij Rempel wrote:
> Hi Jakub,
> 
> On Thu, Oct 23, 2025 at 06:13:43PM -0700, Jakub Kicinski wrote:
> > On Mon, 20 Oct 2025 12:31:44 +0200 Oleksij Rempel wrote:  
> > > +      -
> > > +        name: supported-caps
> > > +        type: nest
> > > +        nested-attributes: bitset
> > > +        enum: phy-mse-capability  
> > 
> > This is read only, does it really have to be a bitset?  
> 
> It describes the capabilities of the driver/hardware. You can get always
> everything... Hm... I think we continue without capabilities for now and
> also remove the specific channel request.

That's not what I'm saying. I'm just saying that it could be a basic
uint with appropriate enum rather than bitset? At least with YNL its
much easier to deal with. The main advantage of bitset is that you
can modify individual bits, but that doesn't apply to read-only fields.

Sorry if I'm confused.